uniform vec3 light_direction;
varying vec2 texture_coords;

void main(void) {
	texture_coords.x = max(0.0, dot(light_direction, gl_NormalMatrix * gl_Normal));
	texture_coords.y = 0.0;
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_FrontColor = gl_Color;
}
